Summary:	GNOME DB frontend
Name:		mergeant
Version:	0.67
Release:	%mkrel 3
License:	GPLv2+
Group:		Databases
URL:		http://www.gnome-db.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	scrollkeeper
Buildrequires:	gnome-db2.0-devel
BuildRequires:	libgnomeprintui2-2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	gtk-doc
Requires:	scrollkeeper
Requires:	gnome-db2.0

%description
Mergeant is a program which helps administer a DBMS database using the gnome-db
framework. Basically, it memorizes all the structure of the database, and some
queries, and does the SQL queries instead of the user (not having to type all
over again those SQL commands, although it is still possible to do so).

%prep
%setup -q -n %{name}-%{version} -a1

%build

%configure2_5x --disable-update-mimedb
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name} --with-gnome

%if %mdkversion < 200900
%post
%update_scrollkeeper
%{update_menus}
%update_mime_database
%{update_icon_cache hicolor}
%endif

%if %mdkversion < 200900
%postun
%clean_scrollkeeper
%{clean_menus}
%clean_mime_database
%{clean_icon_cache hicolor}
%endif

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog AUTHORS BUGS TODO 
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/omf/*
%{_datadir}/mime/*/*.xml
%{_iconsdir}/hicolor/*/*/*



%changelog
* Wed Aug 06 2008 Götz Waschk <waschk@mandriva.org> 0.67-3mdv2009.0
+ Revision: 264311
- rebuild

* Thu Jul 10 2008 Adam Williamson <awilliamson@mandriva.com> 0.67-2mdv2009.0
+ Revision: 233264
- rebuild to drop some seemingly bogus dependencies
- drop legacy icons
- new license policy
- slight spec clean

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 26 2007 Funda Wang <fundawang@mandriva.org> 0.67-1mdv2008.1
+ Revision: 102271
- disable mime update when installing
- update file list
- use its own desktop file
- New version 0.67
- drop libgnomeui dependecy (upstream)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sat May 05 2007 Funda Wang <fundawang@mandriva.org> 0.66-2mdv2008.0
+ Revision: 22654
- BuildRequires gtk-doc
- BuildRequires gtk-doc

* Sat May 05 2007 Funda Wang <fundawang@mandriva.org> 0.66-1mdv2008.0
+ Revision: 22645
- New upstream version 0.66


* Tue Jan 02 2007 Jérôme Soyer <saispo@mandriva.org> 0.65-1mdv2007.0
+ Revision: 103447
- New release 0.65

* Mon Nov 27 2006 Jérôme Soyer <saispo@mandriva.org> 0.64-1mdv2007.1
+ Revision: 87527
- New release 0.64
- Import mergeant

* Thu May 11 2006 Frederic Crozat <fcrozat@mandriva.com> 0.62-5mdk
- Add more buildrequires

* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.62-4mdk
- Add Buildrequires

* Tue Apr 04 2006 Jerome Soyer <saispo@mandriva.org> 0.62-3mdk
- Fix Source Tarball

* Tue Apr 04 2006 Jerome Soyer <saispo@mandriva.org> 0.62-2mdk
- Rebuild with the new gnome-db
- Rpmbuildupdate aware

* Wed Feb 15 2006 Jerome Soyer <saispo@mandriva.org> 0.62-1mdk
- New release 0.62
- Clean spec

* Sat Apr 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.52-4mdk 
- Rebuild

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.52-3mdk 
- Rebuild with latest howl

* Wed Dec 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.52-2mdk 
- from Tigrux <tigrux@ximian.com> (go monkey, go) : 
  - Enable compilation against libgda 1.2

* Tue Aug 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.52-1mdk
- Release 0.52

